Package org.wso2.carbon.logging.appender.http.utils.queue.exception

## Class PersistentQueueException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.wso2.carbon.logging.appender.http.utils.queue.exception.PersistentQueueException

- All Implemented Interfaces:
    `Serializable`

      public class PersistentQueueException
      extends Exception

  This class implements exception to be used in PersistentQueue.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PersistentQueueException.PersistentQueueErrorTypes` | Enum for PersistentQueueErrorTypes.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PersistentQueueException​(PersistentQueueException.PersistentQueueErrorTypes errorType, String message)` | Constructor for PersistentQueueException.
    `PersistentQueueException​(PersistentQueueException.PersistentQueueErrorTypes errorType, String message, Throwable cause)` | Constructor for PersistentQueueException.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PersistentQueueException.PersistentQueueErrorTypes` | `getErrorType()` | Get the error type.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistentQueueException

          public PersistentQueueException​(PersistentQueueException.PersistentQueueErrorTypes errorType,
                                          String message)

      Constructor for PersistentQueueException.
      Parameters:
        `errorType` - error type
        `message` - error message

    - #### PersistentQueueException

          public PersistentQueueException​(PersistentQueueException.PersistentQueueErrorTypes errorType,
                                          String message,
                                          Throwable cause)

      Constructor for PersistentQueueException.
      Parameters:
        `errorType` - error type
        `message` - error message
        `cause` - cause of the exception

  - ### Method Detail

    - #### getErrorType

          public PersistentQueueException.PersistentQueueErrorTypes getErrorType()

      Get the error type.
      Returns:
        error type